using System;
using System.Text;
using System.Globalization;

namespace NumberFormatInfoTest
{
    class Program
    {
        static void Main(string[] args)
        {
            CultureInfo culture;
            NumberFormatInfo nfi;

            culture = (CultureInfo)CultureInfo.CurrentCulture.Clone();
            nfi = culture.NumberFormat;
            Console.WriteLine("Nom culture:    {0}", culture.Name);
            Console.WriteLine("Nom symbol: {0}\n", culture.NumberFormat.CurrencyDecimalSeparator);
            nfi.CurrencyDecimalSeparator = "_";
            const double prix = 20.5365;
            Console.WriteLine(prix);
            Console.OutputEncoding = Encoding.Unicode;
            Console.WriteLine(prix.ToString("C",nfi));

            Console.ReadKey();

            NumberFormatInfo f = new NumberFormatInfo();
            f.CurrencySymbol = "$$";
            Console.WriteLine(3.ToString("C", f));
            // $$ 3.00
            Console.ReadKey();

        }
    }
}
